## dolphin-emu 4.0.2+dfsg

=== debian/changelog ===
dolphin-emu (4.0.2+dfsg-2build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:19:21 +0200

dolphin-emu (4.0.2+dfsg-2) unstable; urgency=medium

  * Add 10_include_findx11.patch patch to fix FTBFS with CMake 3.2
    (Closes: #793572).

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 28 Jul 2015 11:43:11 +0100

dolphin-emu (4.0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #535073)

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 09 Feb 2015 10:51:49 +0000
