=== debian/control ===
Source: dolphin-emu
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Brandon Barnes <winterknight@email.com>,
 James Cowgill <james410@cowgill.org.uk>
Build-Depends:
 debhelper (>= 9),
 cmake,
 dpkg-dev (>= 1.17.0),
 libao-dev,
 libasound2-dev,
 libavcodec-dev (>= 6:0.8.6),
 libavformat-dev (>= 6:0.8.6),
 libavutil-dev (>= 6:0.8.6),
 libbluetooth-dev,
 libglew-dev (>= 1.9),
 libgtk2.0-dev,
 liblzo2-dev,
 libminiupnpc-dev (>= 1.7),
 libopenal-dev,
 libpolarssl-dev (>= 1.3),
 libpulse-dev,
 libreadline6-dev,
 libsdl1.2-dev,
 libsfml-dev (>= 2.1),
 libsoil-dev,
 libsoundtouch-dev,
 libswscale-dev (>= 6:0.8.6),
 libwxgtk3.0-dev,
 libxext-dev,
 libxi-dev (>= 2:1.5),
 libxrandr-dev,
 libusb-1.0-0-dev,
 lsb-release,
 opencl-headers,
 pkg-config,
 portaudio19-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://dolphin-emu.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/dolphin-emu.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/dolphin-emu.git

Package: dolphin-emu
Architecture: amd64 armhf i386
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin-emu-data (= ${source:Version})
Description: Gamecube, Wii and Triforce emulator
 Dolphin is a Gamecube, Wii and Triforce (the arcade machine based on the
 Gamecube) emulator. It allows PC gamers to enjoy games for these two consoles
 in full HD (1080p) with several enhancements: compatibility with all PC
 controllers, turbo speed, networked multiplayer, and even more.

Package: dolphin-emu-data
Architecture: all
Depends: ${misc:Depends}
Suggests: dolphin-emu
Description: Gamecube, Wii and Triforce emulator - data files
 Dolphin is a Gamecube, Wii and Triforce (the arcade machine based on the
 Gamecube) emulator. It allows PC gamers to enjoy games for these two consoles
 in full HD (1080p) with several enhancements: compatibility with all PC
 controllers, turbo speed, networked multiplayer, and even more.
 .
 This package contains the platform independent data files for Dolphin.
