=== Source/DSPTool/CMakeLists.txt ===
add_executable(dsptool Src/DSPTool.cpp)
target_link_libraries(dsptool core)
if((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
	install(TARGETS dsptool RUNTIME DESTINATION ${bindir})
endif()
