=== debian/changelog ===
dolphin-emu (4.0.2+dfsg2-3) unstable; urgency=medium

  * Use mbedtls instead of polarssl.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 16 Dec 2015 22:19:23 +0000

dolphin-emu (4.0.2+dfsg2-2) unstable; urgency=medium

  * Fix FTBFS with FFmpeg 2.9 (Thanks Andreas Cadhalpun, Closes: #803808).

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 03 Nov 2015 18:14:49 +0000

dolphin-emu (4.0.2+dfsg2-1) unstable; urgency=medium

  * Remove non-free Boomy theme (Thanks Sérgio Benjamim, Closes: #799320).
  * Remove obsolete google code URLs from debian/copyright.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 17 Sep 2015 21:30:01 +0100
