=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
  libglew-dev (>= 1.9),
  libgtk2.0-dev,
  liblzo2-dev,
+ libmbedtls-dev,
  libminiupnpc-dev (>= 1.7),
  libopenal-dev,
- libpolarssl-dev (>= 1.3),
  libpulse-dev,
  libreadline6-dev,
  libsdl1.2-dev,
