=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dolphin-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d?$//,repacksuffix=+dfsg \
  https://github.com/dolphin-emu/dolphin/tags .*/v?(\d\S*)\.tar\.gz
